using System.Text.Json.Serialization;
using System.Collections.Generic;
using Topsdk.Util;

namespace Topsdk.Top.Ability372.Domain;

public class TaobaoTbkShopRecommendGetNTbkShop
{

    /*
        卖家ID
    */
    private long? userId;


    /*
        店铺名称
    */
    private string? shopTitle;


    /*
        卖家昵称
    */
    private string? sellerNick;


    /*
        店铺类型，B：天猫，C：淘宝
    */
    private string? shopType;


    /*
        店铺地址
    */
    private string? shopUrl;


    /*
        店标图片
    */
    private string? pictUrl;



    [JsonPropertyName("user_id")]
    public long? UserId
    {
        get => userId;
        set => this.userId = value;
    }

    [JsonPropertyName("shop_title")]
    public string? ShopTitle
    {
        get => shopTitle;
        set => this.shopTitle = value;
    }

    [JsonPropertyName("seller_nick")]
    public string? SellerNick
    {
        get => sellerNick;
        set => this.sellerNick = value;
    }

    [JsonPropertyName("shop_type")]
    public string? ShopType
    {
        get => shopType;
        set => this.shopType = value;
    }

    [JsonPropertyName("shop_url")]
    public string? ShopUrl
    {
        get => shopUrl;
        set => this.shopUrl = value;
    }

    [JsonPropertyName("pict_url")]
    public string? PictUrl
    {
        get => pictUrl;
        set => this.pictUrl = value;
    }

}

